[sssd]
config_file_version = 2
services = nss, pam
domains = LDAP

[nss]
{% if pillar['sssd_override_shell'] is defined %}
override_shell = {{ pillar.get('sssd_override_shell') }}
{% endif %}

[domain/LDAP]
cache_credentials = true
enumerate = false

id_provider = ldap
auth_provider = ldap

ldap_uri = ldaps://ldap.pie.cri.epita.fr
ldap_search_base = dc=cri,dc=epita,dc=fr
ldap_user_search_base = ou=users,dc=cri,dc=epita,dc=fr?subtree?(objectClass=posixAccount)
ldap_group_search_base = ou=groups,dc=cri,dc=epita,dc=fr?subtree?(objectClass=posixGroup)
ldap_id_use_start_tls = true
entry_cache_timeout = 600
ldap_network_timeout = 2
ldap_schema = rfc2307bis
ldap_user_gecos = cn
